#include <wchar.h>
#include <xlocale.h>
#include <stdio.h>

/*
 * Check that this header exposes all of the functions that it is supposed to
 * export.
 */
void *symbols[] = {
	(void*)wcwidth_l,
	(void*)wcstoull_l,
	(void*)fgetws_l,
	(void*)btowc_l,
	(void*)fgetwc_l,
	(void*)fputwc_l,
	(void*)fputws_l,
	(void*)fwprintf_l,
	(void*)fwscanf_l,
	(void*)getwc_l,
	(void*)getwchar_l,
	(void*)mbrlen_l,
	(void*)mbrtowc_l,
	(void*)mbsinit_l,
	(void*)mbsnrtowcs_l,
	(void*)mbsrtowcs_l,
	(void*)putwc_l,
	(void*)putwchar_l,
	(void*)swprintf_l,
	(void*)swscanf_l,
	(void*)ungetwc_l,
	(void*)vfwprintf_l,
	(void*)vfwscanf_l,
	(void*)vswprintf_l,
	(void*)vswscanf_l,
	(void*)vwprintf_l,
	(void*)vwscanf_l,
	(void*)wcrtomb_l,
	(void*)wcscoll_l,
	(void*)wcsftime_l,
	(void*)wcsnrtombs_l,
	(void*)wcsrtombs_l,
	(void*)wcstod_l,
	(void*)wcstof_l,
	(void*)wcstol_l,
	(void*)wcstold_l,
	(void*)wcstoll_l,
	(void*)wcstoul_l,
	(void*)wcswidth_l,
	(void*)wcsxfrm_l,
	(void*)wctob_l,
	(void*)wprintf_l,
	(void*)wscanf_l,
	0
};

int main(void)
{
	FILE *bitbucket = fopen("/dev/null", "w");
	void **s = symbols;
	while (*s) {
		fprintf(bitbucket, "%p", *(s++));
	}
	return 0;
}
