#include <xlocale.h>
#include <string.h>

int main(void)
{
	setlocale(LC_ALL, "en_GB.ISO8859-1");
	locale_t l = newlocale(LC_ALL_MASK, "de_DE.ISO8859-1", NULL);
	struct lconv *l1 = localeconv();
	struct lconv *l2 = localeconv_l(l);
	uselocale(l);
	int success = (localeconv() == l2);
	// Currency symbol may have trailing spaces
	success &= (strncmp(l1->int_curr_symbol, "GBP", 3) == 0);
	success &= (strncmp(l2->int_curr_symbol, "EUR", 3) == 0);
	l = newlocale(LC_ALL_MASK, "en_GB.UTF-8", NULL);
	uselocale(l);
	// Setting a new thread locale should not invalidate the old localeconv_l()
	// result...
	success &= (strncmp(l2->int_curr_symbol, "EUR", 3) == 0);
	// ...even when localeconv() is called again
	localeconv();
	success &= (strncmp(l1->int_curr_symbol, "GBP", 3) == 0);
	success &= (strncmp(l2->int_curr_symbol, "EUR", 3) == 0);
	return !success;
}
