#include <locale.h>
#include <stdio.h>
#include <string.h>
#include <time.h>
#include <xlocale.h>

int main(void)
{
	const char *loc1 = "de_DE.ISO8859-1";
	const char *loc2 = "en_GB.UTF-8";
	locale_t l = newlocale(LC_ALL_MASK, loc1, NULL);
	l = newlocale(LC_MESSAGES_MASK, loc2, l);
	int mask = 1;
	int success = 0;
	success |= strcmp(loc1, querylocale(LC_ALL_MASK, l));
	success |= strcmp(loc1, querylocale(LC_COLLATE_MASK, l));
	success |= strcmp(loc1, querylocale(LC_CTYPE_MASK, l));
	success |= strcmp(loc2, querylocale(LC_MESSAGES_MASK, l));
	success |= strcmp(loc1, querylocale(LC_MONETARY_MASK, l));
	success |= strcmp(loc1, querylocale(LC_NUMERIC_MASK, l));
	success |= strcmp(loc1, querylocale(LC_TIME_MASK, l));
	return success;
}
